import { createWebHistory } from 'vue-router'
import { createApp } from '@/app'

export { onRenderClient }

async function onRenderClient() {
  const { app, router } = createApp({
    history: createWebHistory(import.meta.env.BASE_URL),
    isClient: true
  })

  await router.isReady()
  app.mount('#app')
}
